Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.jmx.adaptor
Class AttributeSer

    java.lang.Object
      org.jboss.net.jmx.adaptor.AttributeSer

All Implemented Interfaces:
  Serializable, org.apache.axis.encoding.Serializer, javax.xml.rpc.encoding.Serializer

public class AttributeSer
extends Object
implements org.apache.axis.encoding.Serializer

An `AttributeSer` is be used to serialize Attribute objects using the `SOAP-ENC` encoding style.

Since:
  26.04.02
Version:
  $Revision: 1.6 $
Author:
  Alireza Taherkordi, Christoph G. Jung
See Also:
  Serialized Form

Field Summary
`protected javax.xml.namespace.QName` | `xmlType` this is the fully-qualified type that we serialize into

Constructor Summary
`AttributeSer(Class javaType, javax.xml.namespace.QName xmlType)`

Method Summary
`String` | `getMechanismType()` we use sax approach
`void` | `serialize(javax.xml.namespace.QName name, Attributes attributes, Object value, org.apache.axis.encoding.SerializationContext context)` turns a JMX objectname into a string-based xml element
`Element` | `writeSchema(Class forClass, org.apache.axis.wsdl.fromJava.Types types)` Return XML schema for the specified type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xmlType

    protected javax.xml.namespace.QName xmlType

  this is the fully-qualified type that we serialize into

Constructor Detail

### AttributeSer

    public AttributeSer(Class javaType,
                        javax.xml.namespace.QName xmlType)

Method Detail

### serialize

    public void serialize(javax.xml.namespace.QName name,
                          Attributes attributes,
                          Object value,
                          org.apache.axis.encoding.SerializationContext context)
                   throws IOException

  turns a JMX objectname into a string-based xml element

  Specified by:
    `serialize` in interface `org.apache.axis.encoding.Serializer`
  Parameters:
    `name` - the name of the element that carries our type
    `attributes` - the attributes of the element that carries our type
    `value` - the objectname to serialize
    `context` - the serialization context we live into
  Throws:
    `IOException`

### getMechanismType

    public String getMechanismType()

  we use sax approach

  Specified by:
    `getMechanismType` in interface `javax.xml.rpc.encoding.Serializer`

### writeSchema

    public Element writeSchema(Class forClass,
                               org.apache.axis.wsdl.fromJava.Types types)
                        throws Exception

  Return XML schema for the specified type. The Attribute type has a string-based name attribute and an case-typed value element. Note that this function has been adopted to the Axis 1.1 Beta Emitter code.

  Specified by:
    `writeSchema` in interface `org.apache.axis.encoding.Serializer`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.